Subject: Comforter ruined
From: LeoSimba Benji <[email-masked]>
To: [email-masked]
Date: Sat, 2 Aug 2025 20:38:11 -0500

I ordered the below comforter set and received it today. I would never put
anything new on my bed without washing it first - as I have with every
other comforter.  So I washed it and whatever is used for filling clumped
in different spots inside of the comforter so that it doesn't even lay
flat.
This set was more expensive than a majority of the other sets, so my
expectation was for it to be a little higher quality and to be able to
withstand at least one washing.

To say I am disappointed is an understatement.  I love the design but I
can't even use it as a comforter any more.